shishi_key_to_file(3)

NAME
shishi_key_to_file - API function

SYNOPSIS
#include <shishi.h>

int shishi_key_to_file(Shishi * handle, const char * filename, Shishi_key * key);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

const char * filename
    Name of file, to which the key text is appended.

Shishi_key * key
    Key to print.

DESCRIPTION
Prints an ASCII representation of a key structure key to the file filename. The text is appended if the file exists. See shishi_key_print() for an example of output text.

RETURN VALUE
Returns SHISHI_OK if successful. Failures are due to I/O issues, or to allocation.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.